Get available reports
This endpoint will allow you to fetch a list containing all the reports you've generated. Use the id of the report to download it using the /reports/{id}/download endpoint.
By default, it will return a complete list of reports for your entire customer hierarchy.
Providing a customerId in the query will allow you to limit the list to reports available for one particular merchant.
Authorization
oauth OAuth2 password grant - see the documentation in the oAuth2 Authentication section
In: header
Query Parameters
The ID of a specific merchant within your customer hierarchy
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/reports"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "status": "string", "createdAt": "2019-08-24T14:15:22Z", "generatedAt": "2019-08-24T14:15:22Z" }]{ "title": "Violation exception", "violations": [ { "type": "customer-not-found", "propertyPath": "customerId", "title": "Provided customer does not exist." } ]}{ "exception": { "code": 400, "message": "Validation exception", "errorList": [ { "property": "propertyName", "message": "Error message" } ] }}Get report by ID GET
This endpoint allows fetching the details of a specific report. Note that this will return the details of the report only. To download the report as a CSV file, use the ```/reports/{id}/download``` endpoint. Provide the ```id``` returned when you requested the report.
Create Audit Log report POST
This endpoint initiates the generation of an audit log report for a specified time frame. Reports are generated asynchronously and, once ready, can be downloaded as CSV files from `/reports/{id}/download`. Use `/reports/{id}` to monitor the report's status. The period between `startDate` and `endDate` must not exceed 92 days, allowing for quarterly reports. Specifying a `customerId` filters the report to include data exclusively for that merchant. Without a `customerId`, the report covers all merchants in your customer hierarchy. If a ```allowEmpty``` is **not** provided or is set to ```false``` the report is **not** generated when there is no available entries and an error is returned.